Skip to main content
GET
/
view-specific
/
{brokerageFirmId}
/
child-brokerage-firms
List child brokerage firms
curl --request GET \
  --url https://api.example.com/view-specific/{brokerageFirmId}/child-brokerage-firms
{
  "data": [
    {
      "type": "<string>",
      "firmType": "WHOLESALE",
      "id": "<string>",
      "companyInfo": {
        "siret": "<string>",
        "siren": "<string>",
        "nafCode": "<string>",
        "nafLabel": "<string>",
        "name": "<string>",
        "creationDate": "<string>",
        "location": {
          "city": "<string>",
          "country": "<string>",
          "address": "<string>",
          "postCode": "<string>"
        },
        "legalStatus": {
          "1": "<string>",
          "2": "<string>",
          "3": "<string>"
        },
        "headcount": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "tenantId": "<string>",
      "productIdsWithStatus": [
        "<string>"
      ],
      "customFields": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "parentBrokerageFirmId": "<string>",
      "preferredPaymentMethodId": "<string>"
    }
  ],
  "pageInfo": {
    "first": true,
    "last": true
  },
  "totalCount": 123,
  "currentPage": 123,
  "totalPages": 123
}

Path Parameters

brokerageFirmId
string
required

Query Parameters

count
number
default:10

the number of items to return

page
number
default:1

the page to retrieve

hasSomeDistributionRequestWithStatus
enum<string>[]
Available options:
PENDING,
WAITING_FOR_SIGNATURE,
APPROVED,
DENIED,
REVOKED
productIds
string[]

Product id

productFilterMode
enum<string>
default:or

Product filter mode: "and" to require all products, "or" to require any product

Available options:
and,
or
queryString
string

Search query string

order
object

the sort options

Response

200 - application/json
data
object[]
required

the list of items in the page

pageInfo
object
required

the page info

totalCount
number
required

the total number of items

currentPage
number
required

the current page

totalPages
number
required

the total number of pages